<?php
/******************************************************************************
 * $Id: export.main.php,v 1.1 2004/04/01 12:06:42 anoncvs_devconfig Exp $
 * File:				export.main.php
 * Description:			FAQ export - main page
 * Author:				Thorsten Rinne		thorsten@rinne.info
 * Date:				2003-04-17
 * Last change:			2003-06-01
 * Copyright:           (c) 2001-2003 Thorsten Rinne und Bastian Pttner
 * 
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 ******************************************************************************/
?>
	<h3><?php print $ad_menu_export; ?></h3>
<?php
if (isset($_REQUEST["submit"])) {
	$submit = $_REQUEST["submit"];
	}

if (isset($submit[0])) {
	// RSS feed from news
	$result = $db->query("SELECT datum, header, artikel, link, linktitel, target FROM ".$sqltblpre."faqnews ORDER BY datum desc LIMIT 0,".$numNewsArticles);
	
	$output = "<?xml version=\"1.0\" encoding=\"".$metaCharset."\" standalone=\"yes\" ?>\n<rss version=\"2.0\">\n<channel>\n";
	$output .= "<title>".$title."</title>\n";
	$output .= "<description>".$metaDescription."</description>\n";
	$output .= "<link>http://".$_SERVER["HTTP_HOST"]."</link>";
	if ($db->num_rows($result) > 0) {
		while ($row = $db->fetch_object($result)) {
			$output .= "\t<item>\n";
			$output .= "\t\t<title>".$row->header."</title>\n";
			$output .= "\t\t<description>".stripslashes($row->artikel)."</description>\n";
			$output .= "\t\t<link>http://".$_SERVER["HTTP_HOST"].str_replace ("admin/", "", $_SERVER["PHP_SELF"])."</link>\n";
			$output .= "\t</item>\n";
		    }
	    }
	$output .= "</channel>\n</rss>";
	$fp = @fopen("../xml/news.xml", "w");
	if ($fp != FALSE) {
		fputs($fp, $output);
		print "<p>".$ad_export_1." <i><a href=\"../xml/news.xml\" target=\"_blank\">../xml/news.xml</a></i> ".$ad_export_2."</p>";
		fclose($fp);
		}
	else {
		print "<p>".$ad_export_file."</p>";
		}
	}

if (isset($submit[1])) {
	// RSS feed from top ten
	$result = $db->query("SELECT DISTINCT ".$sqltblpre."faqdata.id, ".$sqltblpre."faqdata.lang, ".$sqltblpre."faqdata.thema, ".$sqltblpre."faqdata.rubrik, ".$sqltblpre."faqvisits.visits FROM ".$sqltblpre."faqvisits, ".$sqltblpre."faqdata WHERE ".$sqltblpre."faqdata.id = ".$sqltblpre."faqvisits.id AND ".$sqltblpre."faqdata.lang = ".$sqltblpre."faqvisits.lang AND ".$sqltblpre."faqdata.active = 'yes' ORDER BY ".$sqltblpre."faqvisits.visits DESC LIMIT 0,10");
	
	$output = "<?xml version=\"1.0\" encoding=\"".$metaCharset."\" standalone=\"yes\" ?>\n<rss version=\"2.0\">\n<channel>\n";
	$output .= "<title>".$title."</title>\n";
	$output .= "<description>".$metaDescription."</description>\n";
	$output .= "<link>http://".$_SERVER["HTTP_HOST"]."</link>";
	if ($db->num_rows($result) > 0) {
		$i = 1;
		while ($row = $db->fetch_object($result)) {
			$output .= "\t<item>\n";
			$output .= "\t\t<title>[".$i.".] ".$row->visits." ".$msgViews.":</title>\n";
			$output .= "\t\t<description>".stripslashes(makeShorterText($row->thema, 8))."</description>\n";
			$output .= "\t\t<link>http://".$_SERVER["HTTP_HOST"].str_replace ("admin/", "", $_SERVER["PHP_SELF"])."?aktion=artikel&amp;rubrik=".$row->rubrik."&amp;id=".$row->id."&amp;lang=".$row->lang."</link>\n";
			$output .= "\t</item>\n";
			$i++;
			}
		}
	$output .= "</channel>\n</rss>";
	$fp = fopen("../xml/topten.xml", "w");
	if ($fp != FALSE) {
		fputs($fp, $output);
		print "<p>".$ad_export_1." <i><a href=\"../xml/topten.xml\" target=\"_blank\">../xml/topten.xml</a></i> ".$ad_export_2."</p>";
		fclose($fp);
		}
	else {
		print "<p>".$ad_export_file."</p>";
		}
	}

if (isset($submit[2])) {
	// RSS feed from five latest records
	$result = $db->query("SELECT DISTINCT ".$sqltblpre."faqdata.id, ".$sqltblpre."faqdata.lang, ".$sqltblpre."faqdata.rubrik, ".$sqltblpre."faqdata.thema, ".$sqltblpre."faqdata.datum, ".$sqltblpre."faqvisits.visits FROM ".$sqltblpre."faqdata, ".$sqltblpre."faqvisits WHERE ".$sqltblpre."faqdata.id = ".$sqltblpre."faqvisits.id AND ".$sqltblpre."faqdata.lang = ".$sqltblpre."faqvisits.lang AND ".$sqltblpre."faqdata.active = 'yes' ORDER BY ".$sqltblpre."faqdata.datum desc LIMIT 0,5");
	
	$output = "<?xml version=\"1.0\" encoding=\"".$metaCharset."\" standalone=\"yes\" ?>\n<rss version=\"2.0\">\n<channel>\n";
	$output .= "<title>".$title."</title>\n";
	$output .= "<description>".$metaDescription."</description>\n";
	$output .= "<link>http://".$_SERVER["HTTP_HOST"]."</link>";
	if ($num = $db->num_rows($result) > 0) {
		while ($row = $db->fetch_object($result)) {
			$output .= "\t<item>\n";
			$output .= "\t\t<title>".makeDate($row->datum)."</title>\n";
			$output .= "\t\t<description>".stripslashes(makeShorterText($row->thema, 8))." (".$row->visits." ".$msgViews.")</description>\n";
			$output .= "\t\t<link>http://".$_SERVER["HTTP_HOST"].str_replace ("admin/", "", $_SERVER["PHP_SELF"])."?aktion=artikel&amp;rubrik=".$row->rubrik."&amp;id=".$row->id."&amp;lang=".$row->lang."</link>\n";
			$output .= "\t</item>\n";
			}
		}
	$output .= "</channel>\n</rss>";
	$fp = fopen("../xml/latest.xml", "w");
	if ($fp != FALSE) {
		fputs($fp, $output);
		print "<p>".$ad_export_1." <i><a href=\"../xml/latest.xml\" target=\"_blank\">../xml/latest.xml</a></i> ".$ad_export_2."</p>";
		fclose($fp);
		}
	else {
		print "<p>".$ad_export_file."</p>";
		}
	}

if (isset($submit[3])) {
	// Full PDF Export
	define("FPDF_FONTPATH", "../font/");
	require ("../inc/fpdf.php");
	$categories = getCategories();
	$arrRubrik = array();
	$arrThema = array();
	$arrContent = array();
	
	class PDF extends FPDF {
		var $B;
		var $I;
		var $U;
		var $SRC;
		var $HREF;
		var $PRE;
		var $CENTER;
		
		// PDF-Header
		function Header() {
			global $rubrik, $thema, $categories;
			$title = stripslashes($categories[$rubrik]).": ".stripslashes($thema);
			$this->SetFont("Arial", "B", 16);
			$this->SetDrawColor(182,195,203);
			$this->SetFillColor(239,239,239);
			$this->SetTextColor(0,0,0);
			$this->SetLineWidth(1);
			$this->MultiCell(0, 9, $title, 1, 1, "C", 1);
			$this->Ln(8);
			}
		
		// PDF-Footer
		function Footer() {
			global $ad_gen_page, $metaPublisher, $adminmail, $rubrik;
	    	$this->SetY(-20);
	    	$this->SetFont("Arial", "I", 10);
	    	$this->Cell(0, 10, $ad_gen_page." ".$this->PageNo()."/{nb}",0,0,"C");
			$this->SetY(-15);
	    	$this->SetFont("Arial", "B", 8);
			$this->Cell(0, 10, "(c) ".date("Y")." ".$metaPublisher." <".$adminmail.">",0,1,"C");
			}
		
		// PDF Konstruktor
		function PDF ($orientation = "P", $unit = "mm", $format = "A4") {
			$this->FPDF($orientation, $unit, $format);
			$this->B = 0;
			$this->I = 0;
			$this->U = 0;
			$this->PRE = 0;
			$this->CENTER = 0;
			$this->SRC = "";
			$this->HREF = "";
			}
		
		// HTML-Parser
		function WriteHTML($html) {
			$html = str_replace("\n", "<br>", $html);
	    	$a = preg_split("/<(.*)>/U", $html, -1, PREG_SPLIT_DELIM_CAPTURE);
			foreach($a as $i => $e) {
				if ($i % 2 == 0) {
					if ($this->HREF) {
						$this->PutLink($this->HREF,$e);
						}
					#elseif ($this->SRC) {
					#	$this->AddImage($this->SRC);
					#	}
					elseif ($this->CENTER) {
						$this->MultiCell(0, 1, $e, 0, "C");
						}
	            	else {
	                	$this->Write(5,$e);
						}
	        		}
	        	else {
					if ($e{0} == "/") {
						$this->CloseTag(strtoupper(substr($e,1)));
						}
					else {
						$a2 = explode(" ",$e);
						$tag = strtoupper(array_shift($a2));
						$attr = array();
						foreach ($a2 as $v) {
							if (ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3)) {
	                        	$attr[strtoupper($a3[1])]=$a3[2];
								}
							}
	                	$this->OpenTag($tag,$attr);
	            		}
	        		}
	    		}
			}
		
		function OpenTag($tag, $attr) {
			
			if ($tag == "B" or $tag == "I" or $tag == "U") {
				$this->SetStyle($tag,true);
				}
			if ($tag == "PRE") {
				$this->SetFont("Times", "", 11);
				}
			if ($tag == "A") {
				$this->HREF = $attr["HREF"];
				}
			#if ($tag == "IMG") {
			#	$this->SRC = $attr["SRC"];
			#	}
			if ($tag == "DIV") {
				$this->CENTER = $attr["ALIGN"];
				}
			if ($tag == "BR") {
				$this->Ln(5);
				}
			}
		
		function CloseTag($tag) {
			
			if ($tag == "B" or $tag == "I" or $tag == "U") {
				$this->SetStyle($tag,false);
				}
			if ($tag == "PRE") {
				$this->SetFont("Arial", "", 12);
				}
			if ($tag == "A") {
				$this->HREF = "";
				}
			if ($tag == "DIV") {
				$this->CENTER = "";
				}
			}
		
		function SetStyle($tag,$enable) {
			
			$this->$tag += ($enable ? 1 : -1);
			$style = "";
			foreach (array("B", "I", "U") as $s) {
				if ($this->$s > 0) {
					$style .= $s;
					}
				}
			$this->SetFont("", $style);
			}
		
		function PutLink($URL, $txt) {
			$this->SetTextColor(0, 0, 255);
			$this->SetStyle("U", true);
			$this->Write(5, $txt, $URL);
			$this->SetStyle("U", false);
			$this->SetTextColor(0);
			}
		
		/*
		function AddImage($image) {
			$info = GetImageSize($image);
			$this->Ln();
			if ($info[0] > $this->wPt) {
				$info[0] = $this->wPt - $this->lMargin - $this->rMargin;
				}
			$x = $this->GetX();
			$this->SetX(($this->wPt - $info[0]) / 2);
			if ($this->GetY() + $info[1] > $this->hPt) {
				$this->AddPage();
				}
			$y = $this->GetY();
			$this->Image($image, $x, $y, 100, 0);
			}
		*/
		}
	
	$result = $db->query("SELECT rubrik, thema, content FROM ".$sqltblpre."faqdata WHERE active = 'yes' ORDER BY rubrik, id");
	if ($db->num_rows($result) > 0) {
		$i = 0;
		while ($row = $db->fetch_object($result)) {
			$arrRubrik[$i] = $row->rubrik;
			$arrThema[$i] = $row->thema;
			$arrContent[$i] = $row->content;
			$i++;
			}
		}
	
	$pdf = new PDF();
	$pdf->Open();
	$pdf->AliasNbPages();
	
	foreach ($arrContent as $key => $value) {
		$rubrik = $arrRubrik[$key];
		$thema = $arrThema[$key];
		$pdf->AddPage();
		$pdf->SetFont("Arial", "", 12);
        if ($ubbcode == "true") {
			$pdf->WriteHTML(unhtmlentities(parseUBB($value)));
			}
		else {
			$pdf->WriteHTML(unhtmlentities(stripslashes($value)));
			}
    	}
	
	$pdfFile = "../pdf/faq.pdf";
	$pdf->Output($pdfFile);
	
	print "<p>".$ad_export_full_faq."<a href=\"".$pdfFile."\" target=\"_blank\">".$title."</a></p>";
	
	}
?>
	<form action="<?php print $_SERVER["PHP_SELF"].$linkext; ?>" method="post">
	<input type="hidden" name="aktion" value="export">
	<table width="100%" border="0" cellspacing="1" cellpadding="2" align="center" bgcolor="#778899">
	<tr bgcolor="#b0c4de">
		<td><b><?php print $ad_export_news; ?></b></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td><p align="center"><input class="submit" type="submit" name="submit[0]" value="<?php print $ad_export_generate; ?>"></p></td>
	</tr>
	</table>
	<br />
	<table width="100%" border="0" cellspacing="1" cellpadding="2" align="center" bgcolor="#778899">
	<tr bgcolor="#b0c4de">
		<td><b><?php print $ad_export_topten; ?></b></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td><p align="center"><input class="submit" type="submit" name="submit[1]" value="<?php print $ad_export_generate; ?>"></p></td>
	</tr>
	</table>
	<br />
	<table width="100%" border="0" cellspacing="1" cellpadding="2" align="center" bgcolor="#778899">
	<tr bgcolor="#b0c4de">
		<td><b><?php print $ad_export_latest; ?></b></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td><p align="center"><input class="submit" type="submit" name="submit[2]" value="<?php print $ad_export_generate; ?>"></p></td>
	</tr>
	</table>
	<br />
	<table width="100%" border="0" cellspacing="1" cellpadding="2" align="center" bgcolor="#778899">
	<tr bgcolor="#b0c4de">
		<td><b><?php print $ad_export_pdf; ?></b></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td><p align="center"><input class="submit" type="submit" name="submit[3]" value="<?php print $ad_export_generate_pdf; ?>"></p></td>
	</tr>
	</table>
	<!-- <br />
	<table width="100%" border="0" cellspacing="1" cellpadding="2" align="center" bgcolor="#778899">
	<tr bgcolor="#b0c4de">
		<td><b>XHTML-Seite generieren</b></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td><p align="center"><input class="submit" type="submit" name="submit[4]" value="Generiere XHTML-Seite"></p></td>
	</tr>
	</table> -->
	</form>