<?php
/* insertion moregroupware */
$myEnv["module"] = "faq";
$myEnv["output"] = "html";
$myEnv["stdsmenu"] = true;
if((isset($_POST["op"]) && ($_POST["op"] == "exportpdf")) ||
   (isset($_GET['view']) && (strstr($_GET['view'], 'vcardexport')))) session_cache_limiter("public");
include("../../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");
/* ----------------- */

/******************************************************************************
 * File:				index.php
 * Authors:				Thorsten Rinne			thorsten@rinne.info
 *						Bastian Poettner		bastian@poettner.net
 * Contributors:		Meikel Katzengreis		meikel@katzengreis.com
 *
 * Date:				2002-09-16
 * Last change:			2003-11-07
 *
 * Copyright:			(c) 2001-2003 Thorsten Rinne und Bastian Pttner
 * 
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 ******************************************************************************/

/* debug mode:
 * - FALSE	debug mode disabled
 * - TRUE	debug mode enabled
 */
define("DEBUG", FALSE);

if (DEBUG == TRUE) {
	error_reporting(E_ALL);
	}

$stati = time();

if (empty($cuser)) {
	$cuser = "";
	}
if (empty($name)) {
	$name = "";
	}
if (empty($do)) {
	$do = "";
	}
if (empty($id)) {
	$id = "";
	}

/******************************************************************************
 * set cookie before sending a header
 ******************************************************************************/
if (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] == "setcookie") {
	if (isset($_REQUEST["cuser"])) {
		setcookie("cuser", $_REQUEST["cuser"], time()+(86400*30.5));
		}
	if (isset($_REQUEST["cpass"])) {
		setcookie("cpass", $_REQUEST["cpass"], time()+(86400*30.5));
		}
	}

/******************************************************************************
 * delete cookie before sending a header
 ******************************************************************************/
if (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] == "delcookie") {
	setcookie("cuser", "", time()+30);
	setcookie("cpass", "", time()+30);
	}

/******************************************************************************
 * read configuration
 ******************************************************************************/
$inc_dir = "../inc/";
$lang_dir= "../lang/";
clearstatcache();

if (!is_readable($inc_dir)) {
	die ("<p>The directory <i>".$inc_dir."</i> is not readable.</p>\n");
	}
clearstatcache();

include ($inc_dir."data.php");
include ($inc_dir."config.php");
clearstatcache();

if (!is_readable($lang_dir)) {
	die ("<p>The directory <i>".$lang_dir."</i> is not readable.</p>\n");
	}
clearstatcache();

if (!is_readable($lang_dir.$sprache)) {
	die("<p>The file <i>".$lang_dir.$sprache."</i> is not readable.</p>\n");
	}
clearstatcache();

if (!is_readable($lang_dir."config_".substr($sprache, 0, -4).".dat")) {
	die("<p>The file <i>".$lang_dir."config_".substr($sprache, 0, -4).".dat</i> is not readable.</p>\n");
	}
clearstatcache(); 

/******************************************************************************
 * set language (default: english)
 ******************************************************************************/
if (!isset($sprache) || !is_file("../lang/".$sprache)) {
	include "../lang/english.php";
	}
else {
	include "../lang/".$sprache;
	}

unset($auth);
include "../inc/functions.php";

/******************************************************************************
 * connect to MySQL database
 ******************************************************************************/
require ("../inc/database.php");
$db = new db_mysql();
$db->connect($mysql_server, $mysql_user, $mysql_passwort, $mysql_db);

/******************************************************************************
 * if the cookie is set, take the data from it
 ******************************************************************************/
if (isset($_COOKIE["cuser"])) {
	$user = $_COOKIE["cuser"];
	}
if (isset($_COOKIE["cpass"])) {
	$pass = $_COOKIE["cpass"];
	}

/******************************************************************************
 * delete old sessions
 ******************************************************************************/
$db->query("DELETE FROM ".$sqltblpre."faqadminsessions WHERE TIME < '".(time()-(30*60))."'");

/******************************************************************************
 * is there an UIN? -> take it for authentication
 ******************************************************************************/
if (isset($_REQUEST["uin"])) {
	$uin = $_REQUEST["uin"];
	}
if (isset($uin)) {
	$query = "SELECT user, pass FROM ".$sqltblpre."faqadminsessions WHERE UIN='".$uin."'";
	if ($ipcheck) {
		$query .= " AND ip = '".$_SERVER["REMOTE_ADDR"]."'";
		}
	list($user, $pass) = $db->fetch_row($db->query($query));
	$db->query ("UPDATE ".$sqltblpre."faqadminsessions SET TIME='".time()."' WHERE UIN='".$uin."'");
	}

/******************************************************************************
 * authenticate the user
 ******************************************************************************/
if (isset($_REQUEST["faqusername"])) {
    $user = $_REQUEST["faqusername"];
    }
if (isset($_REQUEST["faqpassword"])) {
    $pass = md5($_REQUEST["faqpassword"]);
    }

if ((isset($user) && isset($pass)) || isset($uin)) {
	$result = $db->query("SELECT id, name, realname, email, pass FROM ".$sqltblpre."faquser WHERE name = '".$user."' AND pass = '".$pass."'");
	if ($db->num_rows($result) != 1) {
		// error
		if (!isset($uin)) {
			adminlog("Loginerror\nLogin: ".$user."\nPass: ".$pass);
			$error = $ad_auth_fail." (".$user." / *)";
			}
		else {
			adminlog("Session expired\nUIN: ".$uin."\nUser: ".$user."\nPass: ******");
			$error = $ad_auth_sess;
			}
		unset($auth);
		$_REQUEST["aktion"] = "";
		}
	else {
		// okay, write new session, if not written
		$auth = 1;
		if (!isset($uin)) {
			$ok = 0;
			while (!$ok) {
				srand((double)microtime()*1000000);
  				$uin = md5(uniqid(rand())); 
				if ($db->num_rows($db->query("SELECT uin FROM ".$sqltblpre."faqadminsessions WHERE UIN='".$uin."'")) < 1) {
					$ok = 1;
					}
				else {
					$ok = 0;
					}
				}
			$db->query("INSERT INTO ".$sqltblpre."faqadminsessions (UIN,TIME,IP,USER,PASS) VALUES ('".$uin."','".time()."','".$_SERVER["REMOTE_ADDR"]."','".$user."','".$pass."')");
			}
		$linkext = "?uin=".$uin;
		list($auth_user, $auth_name, $auth_realname, $auth_email, $auth_pass) = $db->fetch_row($result);
		$user = $auth_name;
		$pass = $auth_pass;
		}
	}

/******************************************************************************
 * logout - delete session
 ******************************************************************************/
if (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] == "logout" && $auth) {
	$db->query("DELETE FROM ".$sqltblpre."faqadminsessions WHERE UIN='".$uin."'");
	unset($auth);
	unset($uid);
	}

/******************************************************************************
 * header of the admin page
 ******************************************************************************/
include("header.php");

if (isset($auth)) {
	include("menue.php");
	}
else {
	print "<b>".$ad_msg_identify."</b>\n";
	}
?>
	</td>
	<td bgcolor="#f5f5f5" width="550" valign="top"><!-- Content -->
	<table width="100%" cellspacing="3" cellpadding="0" border="0"><tr><td>
<?php
/******************************************************************************
 * user is authenticated
 ******************************************************************************/
if (isset($auth)) {
	if (isset($_REQUEST["aktion"])) {
/******************************************************************************
 * the various sections of the admin area
 ******************************************************************************/
		switch ($_REQUEST["aktion"]) {
			// functions for user administration
			case "user":					include("user.list.php"); break;
			case "deluser":					include("user.delete.php"); break;
			case "useredit":				include("user.edit.php"); break;
			case "usersave":				include("user.save.php"); break;
			case "userdel":					include("user.question.php"); break;
			case "useradd":					include("user.add.php"); break;
			case "addsave":					include("user.addsave.php"); break;
			// functions for record administration
			case "view":					include("record.show.php"); break;
			case "accept":					include("record.show.php"); break;
			case "zeichan":					include("record.show.php"); break;
			case "takequestion":			include("record.edit.php"); break;
			case "editentry":				include("record.edit.php"); break;
			case "delcomment":				include("record.delcommentform.php"); break;
			case "deletecomment":			include("record.delcomment.php"); break;
			case "insertentry":				include("record.add.php"); break;
			case "saveentry":				include("record.save.php"); break;
			case "delentry":				include("record.delete.php"); break;
			case "delatt":					include("record.delatt.php"); break;
			case "question":				include("record.delquestion.php"); break;
			// news administraion
			case "news":					include("news.php"); break;
			// category administration
			case "rubrik":					include("category.php"); break;
			// functions for cookie administration
			case "setcookie":				print $ad_cookie_cookiesuc."<br />\n"; break;
			case "cookies":					include("cookie.check.php"); break;
			case "delcookie":				print $ad_cookie_deleted.".<br />\n"; break;
			// adminlog administration
			case "adminlog":				include("adminlog.php"); break;
			// functions for password administration
			case "passwd":					include("pwd.change.php"); break;
			case "savepwd":					include("pwd.save.php"); break;
			// functions for session administration
			case "viewsessions":			include("stat.main.php"); break;
			case "sessionbrowse":			include("stat.browser.php"); break;
			case "sessionsearch":			include("stat.query.php"); break;
			case "sessionsuche":			include("stat.form.php"); break;
			case "viewsession":				include("stat.show.php"); break;
			case "statistik":				include("stat.ratings.php"); break;
			// functions for config administration
			case "editconfig":				include("config.edit.php"); break;
			case "saveconfig":				include("config.save.php"); break;
			// functions for backup administration
			case "csv":						include("backup.main.php"); break;
			case "restore":					include("backup.import.php"); break;
			case "xml":						include("backup.xml.php"); break;
			// functions for FAQ export
			case "export":					include("export.main.php"); break;
			default:						print "Error 1337"; break;
			}
		}
	else {
/******************************************************************************
 * start page with some informations about the FAQ
 ******************************************************************************/
?>
	<h3><?php print $title; ?></h3>
	<table width="100%" border="0" cellspacing="1" cellpadding="3" bgcolor="#778899">
	<tr bgcolor="#b0c4de">
		<td colspan="2"><b>phpMyFAQ Information</b></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b><?php print $ad_start_visits ?></b></td>
		<td>
<?php
		$result = $db->query("SELECT sid FROM ".$sqltblpre."faqsessions ORDER BY sid DESC");
		$totalvisits = $db->num_rows($result);
		print $totalvisits;
?>
		</td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b><?php print $ad_start_articles ?></b></td>
		<td>
<?php
		$result = $db->query("SELECT id FROM ".$sqltblpre."faqdata ORDER BY id DESC");
		$totalarticles = $db->num_rows($result);
		print $totalarticles;
?>
		</td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b><?php print $ad_start_comments ?></b></td>
		<td>
<?php
		$result = $db->query("SELECT id FROM ".$sqltblpre."faqcomments ORDER BY id DESC");
		$totalcomments = $db->num_rows($result);
		print $totalcomments;
?>
		</td>
	</tr>
	</table>
	<br>
<?php
		$rg = @ini_get("register_globals");
		if ($rg == "1") {
			$rg = "on";
			}
		else {
			$rg = "off";
			}
		$sm = @ini_get("safe_mode");
		if ($sm == "1") {
			$sm = "on";
			}
		else {
			$sm = "off";
			}
?>
	<table width="100%" border="0" cellspacing="1" cellpadding="3" bgcolor="#778899">
	<tr bgcolor="#b0c4de">
		<td colspan="2"><b>System Information</b></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>phpMyFAQ Version</b></td>
		<td>phpMyFAQ <?php print $version; ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>Server Software</b></td>
		<td><?php print $_SERVER["SERVER_SOFTWARE"]; ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>PHP Version</b></td>
		<td>PHP <?php print phpversion(); ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>PHP Memory Limit</b></td>
		<td><?php print @ini_get("memory_limit"); ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>Register Globals</b></td>
		<td><?php print $rg; ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>Safe Mode</b></td>
		<td><?php print $sm; ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>MySQL Client Version</b></td>
		<td>MySQL <?php print mysql_get_client_info(); ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>MySQL Server Version</b></td>
		<td>MySQL <?php print mysql_get_server_info(); ?></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td width="150"><b>Webserver Interface</b></td>
		<td><?php print strtoupper(@php_sapi_name()); ?></td>
	</tr>
	</table>
<?php
		}
	}
/******************************************************************************
 * user is NOT authenticated
 ******************************************************************************/
else {
?>
	<p>&nbsp;</p>
	<form action="<?php print $_SERVER["PHP_SELF"]; ?>" method="POST">
	<table width="500" border="0" cellspacing="1" cellpadding="2" align="center" style="border: 1px solid #778899;">
	<tr bgcolor="#f5f5f5">
		<td colspan="2" align="center">
<?php 
	if (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] == "logout") {
		print $ad_logout."<br /><br />";
		}
	if (isset($error)) {
		print "<b>".$error."</b>\n";
		}
	else {
		print "<b>".$ad_auth_insert."</b>\n";
		}
?>
		</td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td align="right"><b><?php print $ad_auth_user; ?></b></td>
		<td><input type="text" name="faqusername" size="20"></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td align="right"><b><?php print $ad_auth_passwd; ?></b></td>
		<td><input type="password" size="20" name="faqpassword"></td>
	</tr>
	<tr bgcolor="#f5f5f5">
		<td align="center" colspan="2"><input class="submit" type="SUBMIT" value="<?php print $ad_auth_ok; ?>"> <input class="submit" type="RESET" value="<?php print $ad_auth_reset; ?>"></td>
	</tr>
	</table>
	</form>
	<!-- <p align="center"><a href="#">Forgot your password?</a></p> -->
<?php
	}
include("footer.php");

if (DEBUG == TRUE) {
	print "<p>".$db->sqllog()."</p>";
	print "<p>".$db->countqueries()." Queries executed</p>";
	}

$db->dbclose();
?>