<?php
/* arabic.php - Arabic language file */

$metaCharset                            = "utf-8";
$metaLanguage                           = "ar";

// Navigation
$msgCategory                    = "التصنيفات";
$msgShowAllCategories           = "عرض جميع التصنيفات";
$msgSearch                      = "بحث";
$msgAddContent                  = "إضافة سؤال";
$msgQuestion                    = "طرح سؤال";
$msgOpenQuestions               = "الأسئلة المفتوحة";
$msgHelp                        = "مساعدة";
$msgContact                     = "إتصل بنا";
$msgHome                        = "الصفحة الرئيسية";
$msgNews                        = "نشرة الأخبار";
$msgUserOnline                  = " على الشبكة";
$msgXMLExport                   = "XML-File";
$msgBack2Home                           = "عودة إلى الصفحة الرئيسية";

// Contentpages
$msgFullCategories              = "التصنيفات والأسئلة";
$msgFullCategoriesIn            = "التصنيفات والأسئلة في ";
$msgSubCategories               = "التصنيفات الفرعية";
$msgEntries                     = "الأسئلة";
$msgEntriesIn                           = "الأسئلة في ";
$msgViews                       = "زيارة";
$msgPage                        = "الصفحة ";
$msgPages                       = " صفحة";
$msgPrevious                    = "السابق";
$msgNext                        = "التالي";
$msgCategoryUp                          = "التصنيف السابق";
$msgLastUpdateArticle           = "آخر تحديث: ";
$msgAuthor                                      = "الكاتب: ";
$msgPrinterFriendly             = "إعداد نسخة للطبع";
$msgPrintArticle                = "طباعة هذا السؤال";
$msgMakeXMLExport               = "تصدير كملف XML";
$msgAverageVote                 = "متوسط التقييم:";
$msgVoteUseability              = "فضلاً قيّم هذا السؤال:";
$msgVoteFrom                    = "من";
$msgVoteBad                     = "الأسوأ";
$msgVoteGood                    = "الأفضل";
$msgVotings                                     = "صوت ";
$msgVoteSubmit                  = "قيّم الآن";
$msgVoteThanks                  = "شكراً جزيلاً لمشاركتك معنا في هذا التقييم";
$msgYouCan                      = "بإمكانك ";
$msgWriteComment                = "التعليق على هذا السؤال";
$msgShowCategory                = "العودة إلى: ";
$msgCommentBy                   = "فيما يلي تعليق الأخ/الأخت ";
$msgCommentHeader               = "علّق على هذا السؤال";
$msgYourComment                 = "تعليقاتك:";
$msgCommentThanks               = "شكراً جزيلاً لمشاركتك معنا في هذا التعليق";
$msgSeeXMLFile                  = "فتح ملف XML";
$msgSend2Friend                         = "إبلاغ صديق";
$msgS2FName                                     = "إسمك:";
$msgS2FEMail                            = "عنوان بريدك:";
$msgS2FFriends                          = " اصدقاؤك:";
$msgS2FEMails                           = ". البريد الإلكتروني:";
$msgS2FText                                     = "سوف يتم إرسال النص التالي:";
$msgS2FText2                = "وجدت موضوعاً رائعاً وأرت مشاركتك لي في قرائته .. ستجد
العنوان على الوصلة التالية:";
$msgS2FMessage                          = "إرسال نص إضافي:";
$msgS2FButton                           = "أرسل الآن";
$msgS2FThx                                      = "شكراً لك لإبلاغك اصدقاؤك عنّا";
$msgS2FMailSubject                      = "إبلاغ بريدي - ";

// Search
$msgSearchWord                  = "كلمة البحث";
$msgSearchFind                  = "نتيجة البحث عن ";
$msgSearchAmount                = " نتيجة البحث";
$msgSearchAmounts               = " نتائج البحث";
$msgSearchCategory              = "التصنيف: ";
$msgSearchContent               = "السؤال: ";

// new Content
$msgNewContentHeader            = "شارك معنا الآن ..";
$msgNewContentAddon             = "لن يتم نشر مشاركتك مباشرة حتى يتم عرضها على المشرف
وتعديلها إن كان يلزم الأمر ذلك , مع العلم أنه في النموذج التالي يجب
عليك ملأ الحقول التالية   <font color=\"red\">إسمك</font>, <font color=\"red\">بريدك
الإلكتروني</font>, <font color=\"red\">التصنيف</font>, <font color=\"red\">عنوان التساؤل</font>
وأخيراً <font color=\"red\">نص الإجابة</font>.<br> فضلاً إفصل بين كل كلمة بحث وأخرى
بمسافة فقط .";
$msgNewContentUBB               = "<p>تستطيع إستخدام شفرات UBB المساعدة اثناء كتابة
سؤالك . <a href=\"help/ubbcode.php\" target=\"_blank\">إضغط هنا لمزيد من التفاصيل</a></p>";
$msgNewContentName              = "إسمك:";
$msgNewContentMail              = "عنوان بريدك:";
$msgNewContentCategory          = "إختر القسم المناسب";
$msgNewContentTheme             = "عنوان السؤال:";
$msgNewContentArticle           = "نص الإجابة:";
$msgNewContentKeywords          = "كلمات البحث:";
$msgNewContentLink              = "وصلة لهذا السؤال";
$msgNewContentSubmit            = "تنفيــــذ";
$msgInfo                        = "المزيد من المعلومات: ";
$msgNewContentThanks            = "شكراً لمساهمتك معنا";
$msgNoQuestionsAvailable        = "لا يوجد أسئلة تم حجبها حتى الآن .";

// ask Question
$msgNewQuestion                 = "إطرح سؤالك أدناه:";
$msgAskCategory                 = "كان سؤالك في قسم";
$msgAskYourQuestion             = "نص السؤال:";
$msgAskThx4Mail                 = "<h2>شكراً لرسالتك !!</h2>";
$msgDate_User                   = "التاريخ / المستخدم";
$msgQuestion2                   = "السؤال";
$msg2answer                     = "الإجابــة";
$msgQuestionText                = "هنا تجد بعض الأسئلة المطروحة من قبل بعض المستخدمين
, تستطيع الإجابة عها إذا كان لك القدرة على ذلك .";

// Help
$msgHelpText                    = "<p>The structure of the FAQ (Frequently Asked Questions) is quite simple. You can either
search the <a href=\"".$_SERVER["PHP_SELF"]."?sid=".isset($_GET["sid"])."&amp;aktion=anzeigen\">categories</a> or let the <a
href=\"".$_SERVER["PHP_SELF"]."?sid=".isset($_GET["sid"])."&amp;aktion=search\">FAQ search engine</a> search for keywords.</p>";

// Contact
$msgContactEMail                        = "مراسلة المشرف:";
$msgMessage                                     = "رسالتــك:";

// Startseite
$msgNews                                        = " الأخبـــــار";
$msgTopTen                                      = "أكثر 10 أسئلة قراءة";
$msgHomeThereAre                = "يوجد ";
$msgHomeArticlesOnline          = " سؤال";
$msgNoNews                      = "لا يوجد أخبار بعد ..!";
$msgLatestArticles              = "أحدث خمسة أسئلة تمت إضافتها:";

// E-Mailbenachrichtigung
$msgMailThanks                  = "الشكر الجزيل لك ولمقترحاتك القيّمة";
$msgMailCheck                   = "يوجد سؤال جديدة في مركز الأسئلة !\nفضلاً قم بمراجعة
إدارة البرنامج !";
$msgMailContact                 = "تم إرسال رسالتك إلى المشرف العام .";

// Fehlermeldungen
$err_noDatabase                 = "لا يوجد إتصال بقاعدة البيانات بعد .";
$err_noHeaders                  = "لا يوجد تصنيفات بعد .";
$err_noArticles                 = "<p>لا يوجد أسئلة بعد .</p>";
$err_badID                      = "<p>رقم تعريف خاطيء</p>";
$err_noTopTen                   = "<p>لا يوجد أفضل 10 أسئلة حتى الآن .</p>";
$err_nothingFound               = "<p>لا يوجد أسئلة حتى الآن .</p>";
$err_SaveEntries                = "الحقول المطلوبة هي <font color=\"red\">إسمك</font>, <font
color=\"red\">عنوان بريدك</font>, <font color=\"red\">التصنيف المناسب</font>, <font
color=\"red\">عنوان السؤال</font> وأخيراً <font color=\"red\">نص السؤال أو
الإستفسار</font>!<br><br>\n<a href=\"javascript:history.back();\">عد صفحة إلى الخلف</a><br><br>\n";
$err_SaveComment                = "الحقول المطلوبة هي <font color=\"red\">إسمك</font>, <font
color=\"red\">عنوان بريدك</font> وأخيراً <font color=\"red\">تعليقك</font>!<br><br>\n<a href=\"
javascript:history.back();\">عد صفحة إلى الخلف</a><br><br>\n";
$err_VoteTooMuch                = "<p>نحن لا نقوم بإحتساب التقييم المزدوج أو المتكرر <a
href=\"javascript:history.back();\">إضغط هنا</a>, للعودة إلى الخلف .</p>";
$err_noVote                     = "<p>لم تقم بتقييم هذا السؤال بعد ! <a href=\"
javascript:history.back();\">فضلاً إضغط هنا</a>, لتقوم بذلك .</p>";
$err_noMailAdress               = "عنوان بريدك الإلكتروني غير صحيح .<br /><a href=\"
javascript:history.back();\">عودة</a>";
$err_sendMail                   = "الحقول المطلوبة هي <font color=\"red\">إسمك</font>, <font
color=\"red\">عنوان بريدك</font> وأخيراً <font color=\"red\">سؤالك</font>!<br><br>\n<a href=\"
javascript:history.back();\">عد صفحة إلى الخلف</a><br><br>\n";

// Hilfe zur Suche
$help_search                    = "<p>إبحث عن سؤال:<br></p>";

// Menü
$ad                             = "قسم الإدارة";
$ad_menu_user_administration = "إدارة الأعضاء";
$ad_menu_entry_aprove           = "إعتماد أسئلة";
$ad_menu_entry_edit             = "تحرير أسئلة";
$ad_menu_categ_add              = "إضافة تصنيف";
$ad_menu_categ_edit             = "تحرير تصنيف";
$ad_menu_news_add               = "إضافة خبر";
$ad_menu_news_edit              = "تحرير خبر";
$ad_menu_open                           = "تحرير اسئلة مفتوحة";
$ad_menu_stat                   = "إحصائيات عامة";
$ad_menu_cookie                 = "إدارة الكوكيز";
$ad_menu_session                = "عرض الجلسات";
$ad_menu_adminlog               = "عرض دخول الإشراف";
$ad_menu_passwd                 = "تعديل كلمة المرور";
$ad_menu_logout                 = "خروج";
$ad_menu_startpage              = "صفحة البدء";

// Nachrichten
$ad_msg_identify                        = "فضلاً قم بتسجيل الدخول";
$ad_msg_passmatch                       = "يجب أن تكون كلمتا المرور متطابقتان!";
$ad_msg_savedsuc_1                      = "هويّة";
$ad_msg_savedsuc_2                      = "تم الحفظ بنجاح .";
$ad_msg_mysqlerr                        = "حصل خطأ في قاعدة البيانات, غير قادر على حفظ
بيانات الهويّة .";
$ad_msg_noauth                          = "ليس لديك صلاحية !";

// Allgemein
$ad_gen_page                            = "الصفحة";
$ad_gen_of                                      = "من";
$ad_gen_lastpage                        = "الصفحة السابقة";
$ad_gen_nextpage                        = "الصفحة التالية";
$ad_gen_save                            = "حفظ";
$ad_gen_reset                           = "تراجع";
$ad_gen_yes                             = "نعم";
$ad_gen_no                                      = "لا";
$ad_gen_top                             = "أعلى الصفحة";
$ad_gen_ncf                             = "لا يوجد تصنيفات !";
$ad_gen_delete                          = "حذف";

// Benutzerverwaltung
$ad_user                                        = "إدارة الأعضاء";
$ad_user_username                       = "الأعضاء المسجلين";
$ad_user_rights                         = "الصلاحيات";
$ad_user_edit                           = "تحرير";
$ad_user_delete                         = "حذف";
$ad_user_add                            = "إضافة مستخدم";
$ad_user_profou                         = "هويّة العضو";
$ad_user_name                           = "الإسم";
$ad_user_password                       = "كلمةالمرور";
$ad_user_confirm                        = "تأكيدها";
$ad_user_rights                         = "الصلاحيات";
$ad_user_del_1                          = "المستخدم";
$ad_user_del_2                          = "سوف يتم الحذف؟";
$ad_user_del_3                          = "هل أنت متأكد ؟";
$ad_user_deleted                        = "تم حذف ذلك العضو بنجاح .";

// Beitragsverwaltung
$ad_entry_aor                           = "إدارة الأسئلة";
$ad_entry_id                            = "ID";
$ad_entry_topic                         = "العنوان";
$ad_entry_action                        = "عمليات";
$ad_entry_edit_1                        = "تحرير السؤال";
$ad_entry_edit_2                        = "";
$ad_entry_theme                         = "عنوان السؤال:";
$ad_entry_content                       = "السؤال:";
$ad_entry_keywords                      = "كلمات البحث:";
$ad_entry_author                        = "الكاتب:";
$ad_entry_category                      = "التصنيف:";
$ad_entry_active                        = "نشط؟";
$ad_entry_date                          = "التاريخ:";
$ad_entry_changed                       = "معدّل؟";
$ad_entry_changelog             = "Changelog:";
$ad_entry_commentby             = "التعليق بواسطة";
$ad_entry_comment                       = "التعليقات:";
$ad_entry_save                          = "حفظ";
$ad_entry_delete                        = "حذف";
$ad_entry_delcom_1                      = "Are you sure that the comment of the user";
$ad_entry_delcom_2                      = "سوف يتم الحذف؟";
$ad_entry_commentdelsuc         = "تم حذف التعليق بنجاح .";
$ad_entry_back                          = "عودة إلى المقال";
$ad_entry_commentdelfail        = "التعليق لم يتم حذفه.";
$ad_entry_savedsuc                      = "تم حفظ التغييرات بنجاح.";
$ad_entry_savedfail             = "بكل أسف حصل خطأ ما في, a قاعدة البيانات .";
$ad_entry_del_1                         = "هل أنت متأكد من عنوان السؤال";
$ad_entry_del_2                         = "من";
$ad_entry_del_3                         = "سوف يتم الحذف؟";
$ad_entry_delsuc                        = "تم حذف العنصر المطلوب .";
$ad_entry_delfail                       = "لم يتم حذف العنصر!";
$ad_entry_back                          = "عودة";


// Newsverwaltung
$ad_news_header                         = "عنوان الخبر";
$ad_news_text                           = "نص الخبر";
$ad_news_link_url                       = "وصلة: (بدون http://)!";
$ad_news_link_title             = "عنوان أو إسم الوصلة:";
$ad_news_link_target            = "كيف تريد شكل فتحها ؟";
$ad_news_link_window            = "في نافذة جديدة";
$ad_news_link_faq                       = "في نفس النافذة";
$ad_news_add                            = "إضافة خبر";
$ad_news_id                             = "#";
$ad_news_headline                       = "العناوين";
$ad_news_date                           = "التاريخ";
$ad_news_action                         = "عمليات";
$ad_news_update                         = "تحديث";
$ad_news_delete                         = "حذف";
$ad_news_nodata                         = "لا يوجد بيانات بعد";
$ad_news_updatesuc                      = "تم تحديث الخبر بنجاح .";
$ad_news_del                            = "هل ترغب فعلاً بحذف هذا الخبر ؟";
$ad_news_yesdelete                      = "نعم بالتأكيد";
$ad_news_nodelete                       = "لا";
$ad_news_delsuc                         = "تم حذف الخبر بنجاح !";
$ad_news_updatenews             = "تحديث الخبر";

// Kategorieverwaltung
$ad_categ_new                           = "إضافة تصنيف جديد";
$ad_categ_catnum                        = "رقم التصنيف:";
$ad_categ_subcatnum             = "رقم التصنيف الفرعي:";
$ad_categ_nya                           = "<i>ليس بعد !</i>";
$ad_categ_titel                         = "إسم التصنيف:";
$ad_categ_add                           = "أضف التصنيف";
$ad_categ_existing                      = "التصنيفات الموجودة";
$ad_categ_id                            = "#";
$ad_categ_categ                         = "التصنيف";
$ad_categ_subcateg                      = "التصنيف الفرعي";
$ad_categ_titel                         = "إسم التصنيف";
$ad_categ_action                        = "عمليات";
$ad_categ_update                        = "تحديث";
$ad_categ_delete                        = "حذف";
$ad_categ_updatecateg           = "تحديث التصنيف";
$ad_categ_nodata                        = "لا يوجد بيانات بعد";
$ad_categ_remark                        = "";
$ad_categ_edit_1                        = "تحرير";
$ad_categ_edit_2                        = "التصنيف";
$ad_categ_add                           = "إضافة تصنيف";
$ad_categ_added                         = "تمت عملية إضافة التصنيف بنجاح .";
$ad_categ_updated                       = "تمت عملية تحديث بيانات التصنيف بنجاح .";
$ad_categ_del_yes                       = "نعم إحذفه";
$ad_categ_del_no                        = "لا";
$ad_categ_deletesure            = "هل ترغب فعلاً بحذف هذا التصنيف ؟";
$ad_categ_deleted                       = "تمت عملية حذف التصنيف بنجاح .";

// Cookies
$ad_cookie_cookiesuc            = "تم تثبيت الكوكيز بنجاح.";
$ad_cookie_already                      = "الكوكيز مثبّت مسبقاً , لديك الآن الخيارات
الآتية :";
$ad_cookie_again                        = "إعادة تثبيت الكوكيز";
$ad_cookie_delete                       = "حذف الكوكيز";
$ad_cookie_no                           = "لا يوجد كوكيز محفوظ حتى الآن , تذكّر أنه
بالكوكيز يمكنك حفظ بيانات دخولك وبالتالي ليس من المهم أن تحتفظ بهذه
البيانات واستخدامها في كل مرّة عند تسجيل دخول للبرنامج , لديك الخيارات
التالية :";
$ad_cookie_set                          = "تثبيت الكوكيز";
$ad_cookie_deleted                      = "تمت عملية مسح الكوكيز بنجاح .";

// Adminlog
$ad_adminlog                            = "سجلّ دخول المشرف";

// Passwd
$ad_passwd_cop                          = "تغيير كلمة مرورك";
$ad_passwd_old                          = "كلمة المرور القديمة:";
$ad_passwd_new                          = "كلمة المرور الجديدة:";
$ad_passwd_con                          = "تأكيد كلمة المرور الجديدة:";
$ad_passwd_change                       = "تغيير كلمة المرور الآن";
$ad_passwd_suc                          = "تمت عملية تغيير كلمة المرور بنجاح .";
$ad_passwd_remark                       = "تحذير:<br>يجب أن تقوم بتثبيت الكوكيز من جديد !";
$ad_passwd_fail                         = "كلمة المرور القديمة يجب أن تكون صحيحة , كما أن
كلمة المرور الجديدة يجب أن تكون هي وتأكيدها متطابقتين.";

// Adduser
$ad_adus_adduser                        = "إضافة مستخدم";
$ad_adus_name                           = "الإسم:";
$ad_adus_password                       = "كلمة المرور:";
$ad_adus_add                            = "إضـــــافة";
$ad_adus_suc                            = "تمت عملية  إضافة المستخدم بنجاح.";
$ad_adus_edit                           = "تحرير هويّة";
$ad_adus_dberr                          = "خطأ في قاعدة البيانات !";
$ad_adus_exerr                          = "المعرّف موجود  مسبقاً.";

// Sessions
$ad_sess_id                             = "ID";
$ad_sess_sid                            = "رقم الجلسة ID";
$ad_sess_ip                             = "IP";
$ad_sess_time                           = "الوقت";
$ad_sess_pageviews                      = "عدد الزيارات";
$ad_sess_search                         = "بحث";
$ad_sess_sfs                            = "بحث عن جلسات";
$ad_sess_s_ip                           = "IP:";
$ad_sess_s_minct                        = "min. actions:";
$ad_sess_s_date                         = "التاريخ";
$ad_sess_s_after                        = "بعد";
$ad_sess_s_before                       = "قبل";
$ad_sess_s_search                       = "بحث";
$ad_sess_session                        = "الجلسة";
$ad_sess_r                                      = "نتائج البحث عن";
$ad_sess_referer                        = "محوّل:";
$ad_sess_browser                        = "مستعرض:";
$ad_sess_ai_rubrik                      = "التصنيف:";
$ad_sess_ai_artikel             = "السؤال:";
$ad_sess_ai_sb                          = "Search-Strings:";
$ad_sess_ai_sid                         = "رقم الجلسة ID:";
$ad_sess_back                           = "عودة";

// Statistik
$ad_rs                                          = "إحصائيات التقييم";
$ad_rs_rating_1                         = "تقييم";
$ad_rs_rating_2                         = "users shows:";
$ad_rs_red                                      = "الأحمر";
$ad_rs_green                            = "الأخضر";
$ad_rs_altt                             = "يدلّ على أن متوسط التقييم أقل من 2";
$ad_rs_ahtf                             = "يدلّ على أن متوسط التقييم أكثر من 4";
$ad_rs_no                                       = "لا يوجد تقييمات بعد";

// Auth
$ad_auth_insert                         = "فضلاً ادخل المعرّف وكلمة المرور";
$ad_auth_user                           = "المعرّف:";
$ad_auth_passwd                         = "كلمة المرور:";
$ad_auth_ok                             = "تنفيــــــذ";
$ad_auth_reset                          = "تراجـع";
$ad_auth_fail                           = "المعرّف أو كلمة المرور أو كليهما غير صحيح";
$ad_auth_sess                           = "لقد إنقضى الوقت المسموح به لخمول تصفح الإدارة
.. فضلاً قم بتسجيل الدخول مرة أخرى";

// Added v0.8 - 24.05.2001 - Bastian - Admin
$ad_config_edit                         = "تحرير الإعدادات العامة";
$ad_config_save                         = "حفظ الإعدادات";
$ad_config_reset                        = "تراجع";
$ad_config_saved                        = "تمت عملية حفظ إعدادات البرنامج بنجاح";
$ad_config_file                         = "config_english.dat";
$ad_menu_editconfig             = "تحرير الإعدادات العامة";
$ad_att_none                            = "لا يوجد مرفقات بعد";
$ad_att_att                             = "المرفقات:";
$ad_att_add                             = "إرفاق ملف";
$ad_entryins_suc                        = "تم حفظ السؤال بنجاح .";
$ad_entryins_fail                       = "حصل خطأ ما !";
$ad_att_del                             = "حذف";
$ad_att_nope                            = "يمكن وضع مرفقات أثناء تحرير السؤال";
$ad_att_delsuc                          = "تم حذف الملف المرفق بنجاح .";
$ad_att_delfail                         = "حصل خطأ ما أثناء عملية حذف الملف المرفق !";
$ad_entry_add                           = "إضافة سؤال";

// Added v0.85 - 08.06.2001 - Bastian - Admin
$ad_csv_make                            = "عملية نسخ قاعدة البيانات من العمليات المهمة
جداً حتى تحتفظ بها في حال حصلت مشكلة ما لا قدّر الله .. يجب أن تقوم بهذه
العملية على الأقل كل شهر مع العلم أن الملف الذي سيتم حفظ النسخة به هو
ملف MySQL تماماً كما تقوم به في برنامج phpMyAdmin أو في التلنت .";
$ad_csv_link                            = "تحميل نسخة إحتياطية";
$ad_csv_head                            = "عملية النسخ";
$ad_att_addto                           = "إضافة ملف مرفق";
$ad_att_addto_2                         = "";
$ad_att_att                             = "الملف:";
$ad_att_butt                            = "تنفيــــذ";
$ad_att_suc                             = "تمت عملية إرفاق ملف بنجاح .";
$ad_att_fail                            = "حصل خطأ ما أثناء عملية إرفاق الملف !";
$ad_att_close                           = "إغلاق النافذة";

// Added v0.85 - 08.07.2001 - Bastian - Admin
$ad_csv_restore                         = "من خلال هذا النموذج بإمكانك إستعادة محتويات
قاعدة البيانات بإستخدام نسخة تم حفظها بواسطة البرنامج , مع ملاحظة أنه
سيتم حفظ البيانات فوق البيانات الموجودة حالياً .";
$ad_csv_file                            = "الملف";
$ad_csv_ok                                      = "تنفيــــذ";
$ad_csv_linklog                         = "نسخ سجلّات الدخول";
$ad_csv_linkdat                         = "نسخ البيانات";
$ad_csv_head2                           = "إستعادة نسخة إحتياطية";
$ad_csv_no                                      = "هذه ليست نسخة مطابقة لما تم نسخه من قبل
البرنامج";
$ad_csv_prepare                         = "تهيئة إستعلامات قاعدة البيانات .....";
$ad_csv_process                         = "يتم الإستعلام الآن ...";
$ad_csv_of                                      = "من";
$ad_csv_suc                             = "بنجاح";
$ad_csv_backup                          = "نسخ إحتياطي";
$ad_csv_rest                            = "إستعادة نسخة إحتياطية";

// Added v0.8 - 25.05.2001 - Bastian - Admin
$ad_menu_backup                         = "نسخ إحتياطي";
$ad_logout                                      = "تم إنجاز الجلسة بنجاح ..";
$ad_news_add                            = "إضافة خبر";
$ad_news_edit                           = "تحرير خبر";
$ad_cookie                                      = "الكوكيز";
$ad_sess_head                           = "عرض الجلسات";

// Added v1.1 - 06.01.2002 - Bastian
$ad_menu_categ_edit             = "إدارة التصنيفات";
$ad_menu_stat                           = "إحصائيات التقييم";
$ad_kateg_add                           = "إضافة تصنيف";
$ad_kateg_rename                        = "إعادة تسمية";
$ad_adminlog_date                       = "التاريخ";
$ad_adminlog_user                       = "المستخدم";
$ad_adminlog_ip                         = "IP";

$ad_stat_sess                           = "الجلسات";
$ad_stat_days                           = "الأيام";
$ad_stat_vis                            = "الجلسات (الزيارات)";
$ad_stat_vpd                            = "زيارة كل يوم";
$ad_stat_fien                           = "أوّل دخول";
$ad_stat_laen                           = "آخر دخول";
$ad_stat_browse                         = "إستعراض الجلسات";
$ad_stat_ok                             = "تنفيــــذ";

$ad_sess_time                           = "الوقت";
$ad_sess_sid                            = "رقم الجلسة-ID";
$ad_sess_ip                             = "IP";

$ad_ques_take                           = "إختر سؤالاً لتحريره";
$no_cats                                        = "لا يوجد تصنيفات بعد .";

// Added v1.1 - 17.01.2002 - Bastian
$ad_log_lger                            = "معرّف أو كلمة مرور خاطئة !";
$ad_log_sess                            = "إنقضت مدة الجلسة !";
$ad_log_edit                            = "\"تحرير مستخدم\"-للمستخدمين التالين: ";
$ad_log_crea                            = "\"مقال جديد\" .";
$ad_log_crsa                            = "تمت إضافة سؤال جديدة";
$ad_log_ussa                            = "تحديث بيانات المستخدم التالي: ";
$ad_log_usde                            = "تم حذف المستخدم التالي: ";
$ad_log_beed                            = "تحرير نموذج المستخدم التالي: ";
$ad_log_bede                            = "تم حذف السؤال التالية: ";

$ad_start_visits                        = "زيارات";
$ad_start_articles                      = "مواضيع";
$ad_start_comments                      = "تعليقات";

$ad_user_chpw                           = "تستطيع فقط تغيير كلمة مرور المستخدم الحالي عن
طريق \"$ad_menu_passwd\".";

// Added v1.1 - 30.01.2002 - Bastian
$ad_categ_paste                         = "لصق";
$ad_categ_cut                           = "قص";
$ad_categ_copy                          = "نسخ";
$ad_categ_process                       = "تتم الآن عملية معالجة التصنيفات ...";

// Added v1.1.4 - 07.05.2002 - Thorsten
$err_NotAuth                            = "ليس لديــــــــك صلاحيــــــــــة";

// Added v1.2.3 - 29.11.2002 - Thorsten
$msgPreviusPage                         = "الصفحات السابقة";
$msgNextPage                            = "الصفحات التالية";
$msgPageDoublePoint                     = "الصفحة: ";
$msgMainCategory                        = "التصنيف الرئيسي";

// Added v1.2.4 - 30.01.2003 - Thorsten
$ad_passwdsuc                           = "تمت عملية تعديل كلمة مرورك .";

// Added v1.3.0 - 04.03.2003 - Thorsten
$msgPDF                                         = "عرض كملف PDF";
$ad_xml_head                            = " نسخ كــXML";
$ad_xml_hint                            = "حفظ جميع الأسئلة الموجودة على شكل ملف من نوع XML
.";
$ad_xml_gen                                     = "إنشاء ملف XML ";
$ad_entry_locale                        = "اللغة";
$msgLangaugeSubmit                      = "تغيير اللغة";

// Added v1.3.1 - 29.04.2003 - Thorsten
$ad_entry_preview                       = "عرض";
$ad_attach_1                            = "فضلاً قم بتحديد مسار المجلد الذي سيتم فيه حفظ
المرفقات وذلك من خلال إعدادات البرنامج.";
$ad_attach_2                            = "فضلاً قم بتحديد وصلة عنوان المجلد الذي سيتم
فيه حفظ المرفقات وذلك من خلال إعدادات البرنامج.";
$ad_attach_3                            = "ملف attachment.php لا يمكن فتحه بدون صلاحية .";
$ad_attach_4                            = "يجب أن يكون حجم الملف المرفق أقل من ".$attmax."
بايت.";
$ad_menu_export                         = "تصدير الأسئلة";
$ad_export_1                            = "Built RSS-Feed on";
$ad_export_2                            = ".";
$ad_export_file                         = "خطأ : غير قادر على كتابة الملف";
$ad_export_news                         = "News RSS-Feed";
$ad_export_topten                       = "Top 10 RSS-Feed";
$ad_export_latest                       = "5 latest records RSS-Feed";
$ad_export_pdf                          = "PDF-Export of all records";
$ad_export_generate                     = "build RSS-Feed";

$rightsLanguage[0]                      = "إضافة مستخدمين";
$rightsLanguage[1]                      = "تحريرمستخدمين";
$rightsLanguage[2]                      = "حذف مستخدمين";
$rightsLanguage[3]                      = "إضافة أسئلة";
$rightsLanguage[4]                      = "تحرير أسئلة";
$rightsLanguage[5]                      = "حذف أسئلة";
$rightsLanguage[6]                      = "عرض سجل الدخول";
$rightsLanguage[7]                      = "عرض سجل دخول المشرف";
$rightsLanguage[8]                      = "حذف تعليقات";
$rightsLanguage[9]                      = "إضافة أخبار";
$rightsLanguage[10]                     = "تحرير أخبار";
$rightsLanguage[11]                     = "حذف أخبار";
$rightsLanguage[12]                     = "إضافة تصنيفات";
$rightsLanguage[13]                     = "تحرير تصنيفات";
$rightsLanguage[14]                     = "حذف تصنيفات";
$rightsLanguage[15]                     = "تغيير كلمة مرور";
$rightsLanguage[16]                     = "تحرير الإعدادات العامة";
$rightsLanguage[17]                     = "إضافة مرفقات";
$rightsLanguage[18]                     = "حذف مرفقات";
$rightsLanguage[19]                     = "نسخ إحتياطي";
$rightsLanguage[20]                     = "إستعادة نسخة إحتياطية";
$rightsLanguage[21]                     = "حذف أسئلة مفتوحة";

$msgAttachedFiles                       = "الملف المرفق:";

// Added v1.3.2 - 15.05.2003 - Thorsten
$help_BBCode_01                         = "What is BB Code?";
$help_BBCode_02                         = "BB code is a small collection of HTML instructions. It permits you to add certain
functions or change your record, to which you would have normally use HTML instructions.";
$help_BBCode_03                         = "URL hyper links";
$help_BBCode_04                         = "Write the complete URL in any to the following ways and the links are automatically
provided:";
$help_BBCode_05                         = "The [url] code works according to the method described below. Use the link as in the
following example: (BB code is red)";
$help_BBCode_06                         = "In this example, the BB code automatically generates a link of the URL, which is
between the BB code.  Clicking on the link opens a new window.";
$help_BBCode_07                         = "Bold and italic writing, underlinings";
$help_BBCode_08                         = "You can use italic or bold writing or underlining, by inserting the text between the
BB code [b][/b] or [i][/i] or [u][/u]. These three instructions can be also combined.";
$help_BBCode_09                         = "Lists and centering text";
$help_BBCode_10                         = "In order to center a part of your text, you can use the [center] instruction:";
$help_BBCode_11                         = "A list shows each object in the list, all with a bullet symbol before it. In order to
provide a list, use [ul][/ul] and each object indicates tags within the list, by using one [li]. Example:";
$help_BBCode_12                         = "That would result in the following list:";
$help_BBCode_13                         = "Insert from pictures";
$help_BBCode_14                         = "In order to insert a picture into your record, you can use the URL of the picture
within the BB code (BB code is red):";
$help_BBCode_15                         = "Note: The \"http://\" part of the URL is NECESSARY for [img] code!";
$help_BBCode_16                         = "Quote contributions";
$help_BBCode_17                         = "In order to refer to a text, which is on another site, copy the text simply into your
record within the BB code (BB code is red):";
$help_BBCode_18                         = "In the example the text is in-reprimanded automatically by the BB code and inserted
between two horizontal lines.";
$help_BBCode_19                         = "Code instruction";
$help_BBCode_20                         = "Similarly to the [quote] code, this code adds &lt;PRE&gt; Instructions in addition,
in order to maintain formatting. That is particularly helpful, in order to represent e.g. programming code.";
$help_BBCode_21                         = "In this example, the BB code maintains the formatting automatically.";
$help_BBCode_22                         = "For code examples in PHP, you can use the following BB code alternatively:";
$help_BBCode_23                         = "In use of the [php] code is represented with syntax Highlighting.";
$help_BBCode_24                         = "References";
$help_BBCode_25                         = "You cannot use HTML and BB code at the same time.  All BB code must be in lower case
(i.e., you can use [url], but not [URL]."; 

// Added v1.3.3 - 27.05.2003 - Thorsten
$ad_user_action             = "عمليات";
$ad_entry_email                         = "البريد الإلكتروني:";
$ad_entry_allowComments         = "إتاحة التعليق";
$msgWriteNoComment              = "لا يمكنك التعليق على هذا السؤال";
$ad_user_realname                       = "الإسم الحقيقي:";
$ad_export_generate_pdf         = "صنع ملف PDF ";
$ad_export_full_faq                     = "أسئلتك على شكل ملف من نوع PDF : ";
$err_bannedIP                           = "رقم IP الخاص بك تم إيقافه !.";
$err_SaveQuestion                       = "الحقول المطلوبة هي <font color=\"red\">إسمك</font>, <font
color=\"red\">بريدك الإلكتروني</font> وأخيراً <font color=\"red\">سؤالك</font>.<br><br><a href=\"
javascript:history.back();\">عد صفحة إلى الخلف</a><br><br>\n";

// added v1.3.4 - 23.07.2003 - Thorsten
$ad_entry_fontcolor         = "لون الخط: ";
$ad_entry_fontsize          = "حجم الخط: ";
?>