<?php

  /*
   This file is part of MoreGroupWare's webmail2 module
   Copyright 2004-2005 Franky Van Liedekerke
   This module is released under the GPL (as stated below).

   Originally written by Thomas Bley (info@simple-groupware.de),
   now adapted and maintained by Franky Van Liedekerke.

   You should have received a copy of the GNU General Public License
   along with mgw; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

$myEnv["module"] = "webmail2";
$myEnv["stdsmenu"] = false;
$myEnv["output"] = "html";

include("../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");
require_once(WM2_INC_DIR."pear/Mail.php");
require_once(WM2_INC_DIR."pear/Mail/mime.php");
require_once(WM2_INC_DIR."pear/Mail/RFC822.php");
include(WM2_INC_DIR.'sendmail_post_inc.php');
include(WM2_INC_DIR."imap/date.php");

require_once(INCLUDEPATH . "crypt.inc.php");
$myC = new Crypto();

error_reporting  (E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

$myvars = array("to","subject","inreplyto","msg_no","date","reply_account_id");
foreach ($myvars as $thevar) {
  ${$thevar} = quote2((isset($_GET[$thevar])) ? $_GET[$thevar] : (isset($_POST[$thevar]) ? $_POST[$thevar] : ""));
}

$smarty->assign("username", ucfirst($username));
$webmail_sendmail_temp_dir = CACHE_FOLDER."$username/sendmail/";

$mbox_id = getboxid("sent",0,$user_id);

$users = getallusers_id_username();
$users2 = getallusers_name_email();

$tolocalarr = array();
$toarr = array();

$inreplyto = htmlnonspecialchars($inreplyto);

if (isset($users2[$to])) $tolocalarr=array(array_search($to,$users)=>$to);
  else $toarr = array($to);
  
if (isset($reply_account_id) && !empty($reply_account_id) && $reply_account_id>0) {
   $account_id=$reply_account_id;
} else {
   if (!isset($MGW->settings["wm2_default_account"]) || $MGW->settings["wm2_default_account"]==0) {
      show_webmail_error("No default account defined, no notification sent");
   } else {
      $account_id=$MGW->settings["wm2_default_account"];
   }
}

$sql = "select * from mgw_webmail2_accounts where user_id=".(int)$user_id." and id=".(int)$account_id;
if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__,__FILE__));
$row = $res->FetchRow();

if (!isset($row["id"])) show_webmail_error("Invalid account.");

$txtbody = Lang::getLanguageString("notify_text")."\n\n".Lang::getLanguageString("maillist_to").":   ".addslashes($to)."\n".Lang::getLanguageString("maillist_subject").":   ".$subject."\n".Lang::getLanguageString("webmail2_func_sent").":   ".getDateString_full($date)."\n\n".Lang::getLanguageString("notify_text2")." ".getDateString_full(time())."\n";

if ($row["password"]!="") {$password = $myC->decrypt($username, $row["password"]);} else {$password = "";}
if ($row["smtppassword"]!="") {$thesmtppassword = $myC->decrypt($username, $row["smtppassword"]);} else {$thesmtppassword = "";}

if ($row["smtpauth"]=="checked") {
  $smtpauth = true;
  if ($row["smtpusepopuser"]=="checked") {
    $smtpusername = $row["username"];
    $smtppassword = $password;
  } else {
    $smtpusername = $row["smtpusername"];
    $smtppassword = $thesmtppassword;
  }
} else {
  $smtpusername = "";
  $smtppassword = "";
  $smtpauth = false;
}

check_pop_sendmail($row,"",count($toarr));

$crlf="\n";
$mime = new Mail_mime($crlf);
$mime->setTXTBody($txtbody);

$mime->addAttachment("Final-Recipient: rfc822; ".$row["replyto"]."\nOriginal-Message-ID: ".$inreplyto."\nDisposition: manual-action/MDN-sent-automatically; displayed\n", 'message/disposition-notification', '', false, '7bit');
$mime->addAttachment("Subject: ".$subject."\nDate: ".date("r",$date)."", 'text/rfc822-headers', '', false, '7bit');

$mydate = date("D, d M Y H:i:s O");
$recipients= implode(",",$toarr);
$subject = Lang::getLanguageString("notify_text3").": ".$subject;

$headers = array(
		'From'=>$row["fullname"]." <".$row["replyto"].">",
		'To'=>$to,
		'Subject'=>$subject,
		'Date'=>$mydate
);

$body=$mime->get();
$headers = $mime->headers($headers);

mt_srand((double)microtime()*10000);

$msg_id = mgw_genID('mgw__seq_messages');
//$dir_nr = getdirnr($msg_id);
//$act_name = STORE_FOLDER.$dir_nr."/" . $msg_id . "-" .date("dmY-His")."-". ereg_replace("/","X",md5(mt_rand(1,6000))).".eml";
$act_name = STORE_FOLDER.$username."/" . $msg_id . "-" .date("dmY-His")."-". ereg_replace("/","X",md5(mt_rand(1,6000))).".eml";
$msg_cache = ereg_replace("/","X",md5(mt_rand(1,6000)));

$uid = "<".date("YmdHi").".".substr(ereg_replace("/","X",md5(mt_rand(1,6000))),0,12)."@".$_SERVER["SERVER_NAME"].">";

$attaches = 0;

  if (count($tolocalarr) != 0) {
    foreach ($tolocalarr as $key=>$key2) {
      if (!isset($act_name2)) {
        $msg_id2 = $msg_id;
        $msg_id = "";
        $msg_cache2 = $msg_cache;
        $uid2 = $uid;
        $act_name2 = $act_name;
      }
      $the_user_id = $key;
      
      if (!boxexist2("inbox",0,$the_user_id)) {
        create_boxes(array(array("inbox",0,$the_user_id)));
      }
      $the_mbox_id = getboxid("inbox",0,$key);
      
      if ($msg_id2 == "") { $msg_id2 = mgw_genID('mgw__seq_messages'); }
      $myids[] = $msg_id2;
    
      $sql = "INSERT INTO mgw_webmail2_messages (cal_accepted,notified,attachbit,msg_cache,message_id,account_name,uid,type,mbox_id,header_from,header_to,header_cc,header_bcc,header_replyto,header_date,header_subject,header_inreplyto,msg_body,recentbit,readbit,replybit,draftbit,flaggedbit,forwardbit,replied2,labelbit) VALUES".
      "('0','0','".$attaches."','".$msg_cache2."',".(int)$msg_id2.",'".$row["username"]."@".$row["pophost"]."','".$uid2."','eml',".(int)$the_mbox_id.",".$conn->Quote($row["fullname"]." (".$username.") <".$row["replyto"].">").",".$conn->Quote($to).",'','','','".time()."',".$conn->Quote($subject).",'".$inreplyto."','".$act_name2."','1','1','0','0','3','0',0,'0')";
      if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

      $msg_id2 = "";
    }
  }
  
  if (count($toarr) != 0) {
      if ($row["enable_ssl_smtp"]=="checked") {
        $port = "465";
        $hostname = "ssl://".$row["smtphost"];
      } else {
        $port = "25";
        $hostname = $row["smtphost"];
      }
      if (!empty($row["smtpport"])) {
	$port = $row["smtpport"];
      }

      $smtp_params=array('host'=>$hostname,'port'=>$port,'localhost'=>$_SERVER["SERVER_NAME"],'auth'=>$smtpauth,'username'=>$smtpusername,'password'=>$smtppassword);

      $smtp =& Mail::factory('smtp',$smtp_params);
      if (PEAR::isError($smtp)) {
        show_webmail_error(Lang::getLanguageString("sendmail_post_error"),$smtp->message);
      }
      $result=$smtp->send($recipients,$headers,$body);
      if (PEAR::isError($result)) {
        show_webmail_error(Lang::getLanguageString("sendmail_post_error"),$result->message);
      }
      unset($result);
      unset($smtp);
  }

if ($msg_id == "") { $msg_id = mgw_genID('mgw__seq_messages'); }

$myids[] = $msg_id;
$sql = "INSERT INTO mgw_webmail2_messages (cal_accepted,notified,attachbit,msg_cache,message_id,account_name,uid,type,mbox_id,header_from,header_to,header_cc,header_bcc,header_replyto,header_date,header_subject,header_inreplyto,msg_body,recentbit,readbit,replybit,draftbit,flaggedbit,forwardbit,replied2,labelbit) VALUES('1','1','".$attaches."','".$msg_cache."',".(int)$msg_id.",'".$row["username"]."@".$row["pophost"]."','".$uid."','eml',".(int)$mbox_id.",".$conn->Quote($row["fullname"]." <".$row["replyto"].">").",".$conn->Quote($to).",'','','','".time()."',".$conn->Quote($subject).",'".$inreplyto."','".$act_name."','1','0','0','0','3','0',0,'0')";
if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

$txt_headers = "";
foreach ($headers as $key=>$value) {
   $txt_headers .= "$key: $value\n";
}
$txt_headers .= "\n";
writetofile_sendmail($act_name,$txt_headers.$body);

if (file_exists($act_name)) {
  foreach ($myids as $myid) {
    $sql = "update mgw_webmail2_messages set header_size=".(int)filesize($act_name)." where message_id=".(int)$myid;
    if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
  }
}

$sql = "update mgw_webmail2_messages set notified=1 where message_id=".(int)$msg_no;
if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__,__FILE__));

echo "<script>window.close();</script>";
?>
