<?php
/*
 * some basic global variables and connectivity things
 */

$lCalApiIsLoaded = true;

/*
 * define some global variables to be used in various places
 */
$SECONDS_PER_DAY = 60*60*24;


function traite($query) {
	global $conn;
    if(!$res = $conn->Execute($query)) exit(showSQLerror($query, $conn->ErrorMsg(), __LINE__, __FILE__));
	}

function transform($string) { return $string; }

// returns 1 is $value is in $array, 0 otherwise
function is_in_array( $value , $array )
{
  for ( $i=0 ; $i < sizeof($array) ; $i++ ){
    if( !strcmp( $value , $array[$i] ) ){
      return 1;
    }
  }
  return 0;
}

// trim leading and trailing whitespace
function cl_trim ($s) {
  $ret = eregi_replace ("^[[:space:]]+|[[:space:]]+$","",$s);
  return $ret;
}

/*
 * function to get event title and text
 */
function get_event_info($id,$file) {
global $conn;
$query = "SELECT msg_title,msg_text,msg_month,msg_day,msg_year,msg_poster_id,msg_recurring,msg_active,msg_projet 
			FROM mgw_minicalendar_messages 
			WHERE msg_id='$id'";
if(!$result = $conn->Execute($query)) die(showSQLerror2($query, $conn->ErrorMsg(), __LINE__));
$message_hash = $result->GetRowAssoc(false);
$message_hash["msg_text"] = stripslashes($message_hash["msg_text"]) ;
if ($file == 'cal_showevent') { $message_hash["msg_text"] = transform($message_hash["msg_text"]); }
return $message_hash;
}


/*************************************************/

class month {
  var $months_hash;
  
  var $month_name;
  var $month_number;
  var $year;
  var $month_data;
  var $nextmonth;
  var $nextyear;
  var $prevmonth;
  var $prevyear;

///////////////////////////////////////////
// constructor function
///////////////////////////////////////////
  function month( $thismonth = "" , $thisyear = "", $whereSupplementaire = ""){
  global $hashmap,$conn;

  $this->months_hash = array( 
  							"01" => $hashmap[JANUARY],
                            "02" => $hashmap[FEBRUARY],
                            "03" => $hashmap[MARCH],
                            "04" => $hashmap[APRIL],
                            "05" => $hashmap[MAY],
                            "06" => $hashmap[JUNE],
                            "07" => $hashmap[JULY],
                            "08" => $hashmap[AUGUST],
                            "09" => $hashmap[SEPTEMBER],
                            "10" => $hashmap[OCTOBER],
                            "11" => $hashmap[NOVEMBER],
                            "12" => $hashmap[DECEMBER]
							);

    if( !$thismonth ){
      $thismonth = date("m");
    }

    if( !$thisyear ){
      $thisyear = date("Y");
    }

    $this->month_name = $this->months_hash[$thismonth];

    $this->month_number = $thismonth;
    $this->year = $thisyear;

    $this->nextmonth = sprintf("%02d",$this->month_number+1);
    $this->prevmonth = sprintf("%02d",$this->month_number-1);
	
    $this->nextyear = $this->prevyear = $thisyear;

    if( $this->month_number == "12" ){
      $this->nextmonth = "01";
      $this->nextyear = $thisyear + 1;
    }
    if( $this->month_number == "01" ){
      $this->prevmonth = "12";
      $this->prevyear = $thisyear - 1;
    }


    /*
     * month data
     */
	if (empty($query)) {
    	$query = "SELECT msg_id,msg_day,msg_title,msg_text,msg_recurring,concat(projects.title,' / ',projects.description) msg_projet 
					FROM mgw_minicalendar_messages as cal 
						left join mgw_projects as projects on cal.msg_projet=projects.project_id 
					WHERE msg_month='" . $this->month_number . "' 
						AND msg_year='" . $this->year ."' ";
		if ( !empty($whereSupplementaire) ) {
			if (!($whereSupplementaire == "all")) {
				$query .= "AND " . $whereSupplementaire . " ";
				}
			}
		$query .= 		"AND msg_active=1 
							ORDER BY msg_day";
		}
	if(!$result = $conn->Execute($query)) die(showSQLerror2($query, $conn->ErrorMsg(), __LINE__));
	while($tmp  = $result->FetchRow()) {
      if( strcmp( $tmp["msg_title"] , "" ) != 0 ){
		$this->month_data[$tmp["msg_day"]]["id"][] = $tmp["msg_id"];
		$this->month_data[$tmp["msg_day"]]["event_title"][] = $tmp["msg_title"];
		$this->month_data[$tmp["msg_day"]]["event_text"][] = $tmp["msg_text"];
		$this->month_data[$tmp["msg_day"]]["event_id"][] = $tmp["msg_id"];
		$this->month_data[$tmp["msg_day"]]["event_recurring"][] = $tmp["msg_recurring"];
		$this->month_data[$tmp["msg_day"]]["event_projet"][] = $tmp["msg_projet"];
      }
	}
  }

	function newGif($ajoutCal,$theday, $libel) {
		if ( ( strlen($theday)<>7 ) and ( strlen($theday)<>6 ) )
		  	{ 
			if (
				queryRights2_bool('root_modules_minicalendar_minicalendar_ajout') or 
				queryRights2_bool('root_modules_minicalendar_minicalendar_gerer')  
				) { 
					$newGif = "<a href=\"$ajoutCal\"><IMG SRC=\"images/new.gif\"  ALT=\"".$libel."\" border=\"0\"></a>";
				} else { 
					$newGif = ""; 
				}
			} else { $newGif = ""; }
		return($newGif);
	}

	function deleteGif($monthData,$j,$theday) {
		$deleteCal = "index.php?action=delete&id=".$monthData["event_id"][$j]."&recurring=".$monthData["event_recurring"][$j] ; 
		if ( strlen($theday)<>6 )
	  		{ 
				if (queryRights2_bool('root_modules_minicalendar_minicalendar_gerer')) 
				{ 
					$delGif = "<a href=\"$deleteCal\"><IMG SRC=\"images/delete.gif\"  ALT=\"".Lang::getLanguageString("DELETE")."\" border=\"0\"></a>"; 
				} else { 
					$delGif = ""; 
				}
			} else { 
				$delGif = ""; 
			}
		return($delGif);
		}

// root_modules_minicalendar_minicalendar_ajout

	function editGif($monthData,$j,$theday) {
		$editCal="cal_ajoute.php?id=".$monthData["event_id"][$j]."&recurring=".$monthData["event_recurring"][$j] ; 
	  	if ( strlen($theday)<>6 )
	  		{ 
				if (queryRights2_bool('root_modules_minicalendar_minicalendar_gerer'))
				{ 
					$editGif = "<a href=\"$editCal\"><IMG SRC=\"images/edit.gif\"   ALT=\"".Lang::getLanguageString("EDIT")."\" border=\"0\"></a>"; 
				} else { 
					$editGif = ""; 
				}
			} else { 
				$editGif = ""; 
			}
		return($editGif);
		}

  // obvious function
  function print_month_name() {
    echo $this->month_name;
  }

  // obvious function
  function print_year() {
    echo $this->year;
  }

  // obvious function
  function print_datestring() {
    echo $this->month_name . ", " . $this->year;
  }


  ///////////////////////////////////////////
  // returns the number of days for a given
  // month and year. Months go 1-12 and
  // years are numeric such as "1999"
  ///////////////////////////////////////////
  function days_in_month( $month, $year ){
    // older versions of php don't support "t" in the date() function,
    // so I have to do this really kludgy thing.
    if( $month == "01" ){
      $days_in_month = 31;
    }
    // have to handle leap year
    if( $month == "02" && $year % 4 == 0 ){
      $days_in_month = 29;
    }
    else if( $month == "02" ){
      $days_in_month = 28;
    }

    if( $month == "03" ){
      $days_in_month = 31;
    }
    if( $month == "04" ){
      $days_in_month = 30;
    }
    if( $month == "05" ){
      $days_in_month = 31;
    }
    if( $month == "06" ){
      $days_in_month = 30;
    }
    if( $month == "07" ){
      $days_in_month = 31;
    }
    if( $month == "08" ){
      $days_in_month = 31;
    }
    if( $month == "09" ){
      $days_in_month = 30;
    }
    if( $month == "10" ){
      $days_in_month = 31;
    }
    if( $month == "11" ){
      $days_in_month = 30;
    }
    if( $month == "12" ){
      $days_in_month = 31;
    }
    return $days_in_month;
  }

  /* this one's for internal use */
  function _get_date_by_counter($i,$month,$year){

    $first_day = date("w" , mktime(0,0,0,$month,1,$year));

    $days_in_month = date("t" , mktime(0,0,0,$month,1,$year));

	if ($first_day == 0)
		{ $first_day = 7; }

    if( $i < $first_day ){
      return "&nbsp;";
    }
    if( $i >= $days_in_month + $first_day ){
      return "&nbsp;";
    }

    return ($i +1 -$first_day);
	 }


  /*
   * this is the big cahoona function,
   * draws a calendar.
   */
 
function draw($draw_array = "") {
  global $hashmap;
  	include("settings.inc.php");
  	include("nicelooking.inc.php");
    /*
     * we need to figure out the cell height and width for each of these.
     */
    $dates_cell_height = ceil(($table_height - $table_top_row_cell_height) / $num_of_rows);
    /* deal with widths given in percentages or in pixels */
    if( ereg( "%" , $table_width ) ){
      $dates_cell_width = sprintf( "%.3f" , eregi_replace("%","",$table_width)/7 ) . "%";
    }
    else{
      $dates_cell_width = ceil( $table_width / 7 );
    }
	
     /* this prints out the top row, which has the names of the
     * days of the week. I consider it a distinct sort of thing.
     */
    /* start printout of main calendar table */
	$cRetour = "";
	$cRetour .= "<!-- begin lucid calendar printout, http://www.luciddesigns.com -->\n";
    $cRetour .= "<!-- integrated by Sebastien Bernard, mailto:sbernard@getout_mouzaia.com -->\n";

    $cRetour .= "<table  CLASS=\"contentback\" cellspacing=\"$cellspacing\" cellpadding=\"$cellpadding\" width=\"$table_width\" height=\"$table_height\" border=\"$table_border\">\n";
//    $cRetour .= "<table  cellspacing=\"$cellspacing\" cellpadding=\"$cellpadding\" width=\"$table_width\" height=\"$table_height\" border=\"$table_border\">\n";
    $cRetour .= "<tr>\n";

	$aJourClair[0] = $hashmap[SUNDAY];
	$aJourClair[1] = $hashmap[MONDAY];
	$aJourClair[2] = $hashmap[TUESDAY];
	$aJourClair[3] = $hashmap[WEDNESDAY];
	$aJourClair[4] = $hashmap[THURSDAY];
	$aJourClair[5] = $hashmap[FRIDAY];
	$aJourClair[6] = $hashmap[SATURDAY];
	
	for ($i=0; $i<=6; $i++)
		{
			$indice = $i+$nFirstDay;
			if ($indice > 6)
				{ $indice = $indice - 7; }
			$cRetour .= "  <td class=\"formhead\" bgcolor=\"$bgcolor\" align=\"$table_top_row_align\" valign=\"$table_top_row_valign\" height=\"$table_top_row_cell_height\" width=\"$dates_cell_width\">".$aJourClair[$indice]."</td>\n";
		}
		
    $cRetour .= "</tr>\n";

	
    /*
     * now print out all the cells for the days of the
     * month. This is the "heart" of this function.
     */

    for( $i=0 ; $i < $num_of_rows*7 ; $i++ ){
      /* start first row */
      if( $i==0 ){
        $cRetour .= "<tr>\n";
      }
      /* break into a new row at the appropriate places */ 
      if( $i%7 == 0 && $i != 0){
        $cRetour .= "</tr>\n";
        $cRetour .= "<tr>\n";
      }
      /*
       * get the current day
       */
      $theday = $this->_get_date_by_counter($i+$nFirstDay,$this->month_number, $this->year);
		
	  /* is today is today */
		$lToday = (mktime (0,0,0,date("m"),date("d"),date("Y")) == mktime (0,0,0,$this->month_number,$theday,$this->year));

      /*
       * if there's an event for this day, get it.
       * otherwise, set to "" string
       */

	$ajoutCal = "cal_ajoute.php?day=$theday&month=$this->month_number&year=$this->year";
	$_newGif = $this->newGif( $ajoutCal, $theday, $hashmap[ADD] );

	if( $this->month_data[$theday]["event_title"][0] )
	  	{
        for( $j=0 ; $j <  count($this->month_data[$theday]["event_title"]) ; $j++ )
			{
			$texteWIKI = transform($this->month_data[$theday]["event_text"][$j]);
//			$texteWIKI = substr($texteWIKI,0,-1);
			$texteWIKI = ereg_replace("(\r\n|\n|\r)", "<br />", $texteWIKI); 

			if (!empty($this->month_data[$theday]["event_projet"][$j])) {
				$titreWIKI = $this->month_data[$theday]["event_projet"][$j] . '<hr>' ;
			} else {
				$titreWIKI = "";
			}
			$titreWIKI .= transform($this->month_data[$theday]["event_title"][$j]);
//			$titreWIKI = substr($titreWIKI,0,-1);
			$titreWIKI = ereg_replace("(\r\n|\n|\r)", "<br />", $titreWIKI); 

			if (!empty($this->month_data[$theday]["event_projet"][$j])) {
				$cTitre = $this->month_data[$theday]["event_projet"][$j] . '<hr>' ;
			} else {
				$cTitre = "";
			}
			$cTitre .= transform($this->month_data[$theday]["event_title"][$j]);
          	$theevent .= "
				<a href=\"javascript:openWinMinicalEvent(" .
				$this->month_data[$theday]["id"][$j] . 
				"," .
				"'".addslashes($this->month_data[$theday]["event_title"][$j]) ."'" . 
				"," .
				"'".addslashes($cTitre).'<br>'.transform($this->month_data[$theday]["event_text"][$j])."'" . 
				")".
				"\"".
				" onmouseover=\"return overlib('".$texteWIKI."',CSSOFF, CAPTION,'".$titreWIKI."',FGCOLOR,'#FFFFFF',BELOW);\" onmouseout=\"return nd();\"".
				"><font size=2>" .
				$this->month_data[$theday]["event_title"][$j] . 
				"</font></a>";

			$theevent .= 	'&nbsp;' . 
							$this->deleteGif($this->month_data[$theday],$j,$theday) . 
							'&nbsp;' . 
							$this->editGif($this->month_data[$theday],$j,$theday) . 
							"<br />";
        	}
		}
    else
	  	{
        	$theevent .= "";
	    }

	if ($lToday) {
		$class = "stand";
	} else {
		$class = "tab";
	}
	
    $cRetour .= "  <td class=\"$class\" 
						bgcolor=\"$bgcol\" 
						align=\"$table_row_align\" 
						valign=\"$table_row_valign\"
						height=\"$dates_cell_height\" 
						width=\"$dates_cell_width\"
						>$theday  $_newGif<br>$theevent</td>\n"; 

	/* be sure to clear out $theevent */
	$theevent = "";
	/* close the last row */
 	if( $i == $num_of_rows*7-1 ){
        $cRetour .= "</tr>\n";
       }
    }

    $cRetour .= "</table>\n";
    $cRetour .= "<!-- end lucid calendar printout -->\n"; /* end of calendar printout */
	return $cRetour;
  } /* end draw function */

} /*** end of class "month" ***/
?>
