<?php

function checkdir($dirname,$htaccess) {
  
  error_reporting (E_ERROR | E_PARSE);
  if (!is_dir($dirname)) {
    $dirname2 = $dirname;
    if ($dirname2[strlen($dirname2)-1]=="/") $dirname2 = substr($dirname2,0,-1);
    $dirname2 = substr($dirname2,0,strrpos($dirname2,"/"));
    if (is_writeable($dirname2)) {
      mkdir($dirname,0777);
    } else {
      show_webmail_error(Lang::getLanguageString("index_att_dir_does_not_exist"),$dirname);
    }
  }
  if (!is_writeable($dirname)) {
    show_webmail_error(Lang::getLanguageString("index_att_dir_does_not_exist"),$dirname);
  }
  if (!file_exists($dirname."index.htm")) {
    $fd = fopen($dirname."index.htm", "w");
    fwrite($fd, "You are not allowed to view this folder.");
    fclose($fd);
  }
  if (!file_exists($dirname."index.html")) {
    $fd = fopen($dirname."index.html", "w");
    fwrite($fd, "You are not allowed to view this folder.");
    fclose($fd);
  }
  if ($htaccess and !file_exists($dirname.".htaccess")) {
    $fd = fopen($dirname.".htaccess", "w");
    fwrite($fd, "Order deny,allow\nDeny from all\n");
    fclose($fd);
  } elseif (!$htaccess) {
// this should never be necessary
//    $fd = fopen($dirname.".htaccess", "w");
//    fwrite($fd, "Order deny,allow\nAllow from all\n");
//    fclose($fd);
  }
  error_reporting  (E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

}

if ($MGW->settings["wm2_enabledownload"]) {
  checkdir(STORE_FOLDER,false);
  checkdir(STORE_FOLDER."$username/",false);
} else {
  checkdir(STORE_FOLDER,true);
  checkdir(STORE_FOLDER."$username/",true);
}

checkdir(CACHE_FOLDER."$username/",false);
checkdir(CACHE_FOLDER."$username/gpg/",true);
checkdir(CACHE_FOLDER."$username/sendmail/",true);
checkdir(CACHE_FOLDER."$username/readmessage/",true);
checkdir(CACHE_FOLDER."$username/attachments/",true);
checkdir(CACHE_FOLDER."$username/img/",false);
checkdir(CACHE_FOLDER."$username/imap/",false);
checkdir(CACHE_FOLDER."$username/imap/eml/",true);
checkdir(CACHE_FOLDER."$username/imap/tree/",true);
checkdir(CACHE_FOLDER."$username/imap/readmessage/",true);
checkdir(CACHE_FOLDER."$username/imap/attachments/",true);
checkdir(CACHE_FOLDER."$username/imap/img/",false);

?>
